org.eclipse.mat.internal.snapshot.inspections

## Class MultiplePath2GCRootsQuery

- java.lang.Object
- - org.eclipse.mat.internal.snapshot.inspections.MultiplePath2GCRootsQuery

All Implemented Interfaces:
  IQuery

    public class MultiplePath2GCRootsQuery
    extends Object
    implements IQuery

### Nested Class Summary

Nested Classes
`static class` `MultiplePath2GCRootsQuery.Grouping`
`static class` `MultiplePath2GCRootsQuery.Tree`

### Field Summary

Fields
`List<String>` `excludes`
`MultiplePath2GCRootsQuery.Grouping` `groupBy`
`IHeapObjectArgument` `objects`
`ISnapshot` `snapshot`

### Constructor Summary

Constructors
Constructor and Description
`MultiplePath2GCRootsQuery()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static MultiplePath2GCRootsQuery.Tree` `create(ISnapshot snapshot, IMultiplePathsFromGCRootsComputer computer, int[] selection)`
`static MultiplePath2GCRootsQuery.Tree` `create(ISnapshot snapshot, IMultiplePathsFromGCRootsComputer computer, int[] selection, IProgressListener listener)`
`IResult` `execute(IProgressListener listener)` The execute method is called after all arguments have been injected into the query instance.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### snapshot

    public ISnapshot snapshot

#### objects

    public IHeapObjectArgument objects

#### excludes

    public List<String> excludes

#### groupBy

    public MultiplePath2GCRootsQuery.Grouping groupBy

### Constructor Detail

#### MultiplePath2GCRootsQuery

    public MultiplePath2GCRootsQuery()

### Method Detail

#### execute

    public IResult execute(IProgressListener listener)
                    throws Exception

Description copied from interface: `IQuery`
The execute method is called after all arguments have been injected into the query instance. Typical results are `TextResult`, `CompositeResult`, `SectionSpec` etc.

Specified by:
  `execute` in interface `IQuery`
Parameters:
  `listener` - Monitor to report progress and check for cancellation.
Returns:
  The result of the query.
Throws:
  `Exception` - if something went wrong running the query

#### create

    public static MultiplePath2GCRootsQuery.Tree create(ISnapshot snapshot,
                                                        IMultiplePathsFromGCRootsComputer computer,
                                                        int[] selection)
                                                 throws SnapshotException

Throws:
  `SnapshotException`

#### create

    public static MultiplePath2GCRootsQuery.Tree create(ISnapshot snapshot,
                                                        IMultiplePathsFromGCRootsComputer computer,
                                                        int[] selection,
                                                        IProgressListener listener)
                                                 throws SnapshotException

Throws:
  `SnapshotException`